KIP People API (Public)

GetMyMovieWishlist

Get current user’s movie wishlist

get

Query Parameters

pageinteger(int16)

Default:1

pageSizeinteger(int8)

Default:20

<= 100

Response

application/json

The request has succeeded.

Models.Responses.MovieWishlistResponse

The request has succeeded.

dataarray[object]required
Show Child Parameters
metaobject
Show Child Parameters
linksarray[object]required
Show Child Parameters
get/users/me/movies/wishlist
 
application/json

AddMovieToMyWishlist

Add a movie from the current user’s movie wishlist

post

Body

application/json

Models.MovieWishlist

movieIdstringrequired

Response

application/json

The request has succeeded and a new resource has been created as a result.

The request has succeeded and a new resource has been created as a result.

datastring(uuid)required
linksarray[object]required
Show Child Parameters
post/users/me/movies/wishlist

Body

{ "movieId": "movieId" }
 
application/json

DeleteMovieFromMyWishlist

Remove a movie from the current user’s movie wishlist

delete

Path Parameters

movieIdstring(uuid)required

Response

There is no content to send for this request, but the headers may be useful.

delete/users/me/movies/wishlist/{movieId}
 

My Exports

ExportMyUserData

Create an export job for exporting the current user’s data

post

Response

application/json

The request has been accepted for processing, but processing has not yet completed.

Models.Responses.GdprExportResponse

The request has been accepted for processing, but processing has not yet completed.

dataobjectrequired
Show Child Parameters
linksarray[object]required
Show Child Parameters
post/users/me/exports/data
 
application/json